Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.soa.esb.listeners.config
Class ConfigurationController

    java.lang.Object
      org.jboss.soa.esb.listeners.config.ConfigurationController

All Implemented Interfaces:
  java.lang.Runnable

    public class ConfigurationController

extends java.lang.Object
implements java.lang.Runnable

The controller monitors changes in the jbossesb configuration file call jbossesb.xml. When changes are detected it validates the XML, and when it passes validation it goes on and generates the jbossesb-listener.xml and jbossesb-gateway.xml.

Author:
  kstam

Constructor Summary
`ConfigurationController(java.lang.String configFileName)` Construct a Configuration Manager from the named repository based configuration.
`ConfigurationController(java.lang.String configFileName, java.lang.String validationFileName)` Construct a Configuration Manager from the named repository based configuration.

Method Summary
`protected java.lang.String` | `getGatewayConfigFile()`
`protected java.lang.String` | `getListenerConfigFile()`
`boolean` | `hasEnded()` Has the controller instance ended.
`static void` | `main(java.lang.String[] args)` Start the Controller externally.
`void` | `requestEnd()` To request the end of processing.
`void` | `run()` Thread that observes the configuration (file).
`ManagedLifecycleController` | `startController(Generator.XMLBeansModel configModel)`
`static ManagedLifecycleController` | `startController(Generator.XMLBeansModel configModel, ConfigTree listenerConfig, ConfigTree gatewayConfig)`
`static void` | `stopController(ManagedLifecycleController lifecycleController)` Stop the controller if it is active.
`boolean` | `waitForRequestedEnd(long maxDelay)` Wait for a request to end.
`boolean` | `waitUntilEnded()` Wait until the ended flag has been set.
`boolean` | `waitUntilEnded(long maxDelay)` Wait until the ended flag has been set.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConfigurationController

    public ConfigurationController(java.lang.String configFileName)

  Construct a Configuration Manager from the named repository based configuration. The default jbossesb-1.0.1.xsd will be used for validation.

  Parameters:
    `configFileName` - - Name of the configuration repository.

### ConfigurationController

    public ConfigurationController(java.lang.String configFileName,
                                   java.lang.String validationFileName)

  Construct a Configuration Manager from the named repository based configuration.

  Parameters:
    `configFileName` - - Name of the configuration repository.
    `validationFileName` - - Name of the file name used for validation (xsd or dtd).

Method Detail

### main

    public static void main(java.lang.String[] args)

  Start the Controller externally.

  Parameters:
    `args` - - arg[0] - the parameter file name

### getListenerConfigFile

    protected java.lang.String getListenerConfigFile()

### getGatewayConfigFile

    protected java.lang.String getGatewayConfigFile()

### run

    public void run()

  Thread that observes the configuration (file). If the configuration is updated it is validated and new set jbossesb-listener.xml and jbossesb-gateway.xml is created for the current server.

  Specified by:
    `run` in interface `java.lang.Runnable`

### hasEnded

    public boolean hasEnded()

  Has the controller instance ended.

  Returns:
    True if this controller instance has ended, otherwise false..

### waitUntilEnded

    public boolean waitUntilEnded()

  Wait until the ended flag has been set.

  Returns:
    true if the ended flag has been set, false otherwise

### waitUntilEnded

    public boolean waitUntilEnded(long maxDelay)

  Wait until the ended flag has been set.

  Parameters:
    `maxDelay` - The maximum time to wait for the flag to be set.
  Returns:
    true if the ended flag has been set, false otherwise

### waitForRequestedEnd

    public boolean waitForRequestedEnd(long maxDelay)

  Wait for a request to end.

  Parameters:
    `maxDelay` - The maximum time to wait in milliseconds.

### requestEnd

    public void requestEnd()

  To request the end of processing.

### startController

    public ManagedLifecycleController startController(Generator.XMLBeansModel configModel)
                                               throws ParamRepositoryException,
                                                      org.xml.sax.SAXException,
                                                      ManagedLifecycleException,
                                                      ConfigurationException

  Throws:
    `ParamRepositoryException`
    `org.xml.sax.SAXException`
    `ManagedLifecycleException`
    `ConfigurationException`

### startController

    public static ManagedLifecycleController startController(Generator.XMLBeansModel configModel,
                                                             ConfigTree listenerConfig,
                                                             ConfigTree gatewayConfig)
                                                      throws ParamRepositoryException,
                                                             org.xml.sax.SAXException,
                                                             ManagedLifecycleException,
                                                             ConfigurationException

  Throws:
    `ParamRepositoryException`
    `org.xml.sax.SAXException`
    `ManagedLifecycleException`
    `ConfigurationException`

### stopController

    public static void stopController(ManagedLifecycleController lifecycleController)

  Stop the controller if it is active.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD